#
# spec file for package python-goocanvas
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-goocanvas
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  pkgconfig(goocanvas)
BuildRequires:  pkgconfig(pycairo)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)
Summary:        Python bindings for goocanvas
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Version:        0.14.1
Release:        28.3
Source0:        pygoocanvas-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM python-goocanvas-revert-svn229.patch bgo576198 vuntz@novell.com -- This svn commit makes things crash on "import goocanvas"...
Patch1:         python-goocanvas-revert-svn229.patch
Url:            https://developer.berlios.de/projects/pygoocanvas/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python-cairo
Requires:       python-gobject2
Requires:       python-gtk
%py_requires

%description
Python bindings for goocanvas.

%package devel
Summary:        Python bindings for goocanvas - Development pack
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description devel
Python bindings for goocanvas.

This file contains development information.


%prep
%setup -q -n pygoocanvas-%{version}
%patch1 -p1

%build
autoreconf -fi
%configure --disable-docs
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT/%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS
%{py_sitedir}/*.so

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Mar  7 2013 cfarrell@suse.com
- license update: LGPL-2.1+
  consolidate
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Jun  1 2011 vuntz@opensuse.org
- Move to pkgconfig()-style BuildRequires, in preparation of
  addition of gtk3 branch of goocanvas:
  + Old ones: goocanvas-devel, python-cairo-devel,
    python-gobject2-devel, python-gtk-devel.
  + New ones: goocanvas, pycairo, pygobject-2.0, pygtk-2.0.
* Sat May 28 2011 dimstar@opensuse.org
- Split out a -devel package, which currently only contains a .pc
  file. The split is needed, as the .pc file has references to
  other development packages, which in turn are all being dragged
  in when the package is being installed [bnc#696808].
* Sun May 17 2009 vuntz@novell.com
- Update to version 0.14.1:
  + Fix a segfault due to an API change in PycCairo
  + Autogenerate the ChangeLog from git logs
  + Fix the build when using libtool 2.x
  + Make the required changes after the switch to git
- Drop python-goocanvas-pycairo-api.patch: fixed upstream.
* Sat Mar 21 2009 vuntz@novell.com
- Add python-goocanvas-revert-svn229.patch to fix crash when just
  importing the python module.
* Fri Mar 20 2009 vuntz@novell.com
- Update to version 0.14.0:
  + Update the docs with new goocanvas API and some random fixes
  + Add an export SVG function in the demo
- Changes from version 0.13.1:
  + Fix a bug in docs bgo#565710
  + Some more code for the demo
  + Fix goocanvas.Grid and goocanvas.GridModel constructors
- Changes from version 0.13.0:
  + Update docs with new API.
  + Update build system in order to compile on Windows
  + wrap new goocanvas.Canvas methods
  + add goocanvas.Grid and goocanvas.GridModel
- Changes from version 0.12.0:
  + wrap goocanvas.Points fields
  + add a gradient demo to test fill_pattern
  + wrap Item.get_requested_area() and  Item.update()
  + wrap Item.get_transform_for_child()
  + manually wrap Item.set_transform() and
    ItemModel.set_transform(). It' is now possible to use None to
    unset the matrix
  + manually wrap goocanvas.create_cairo_context() and fix a bad
    API change in Pycairo.
  + demo play (and drag around...) a flash file into a canvas item.
  + some docs fixes.
- Remove unneeded BuildRequires: gtk2-devel, python-devel.
- Remove AutoReqProv: it's default now.
- Add python-gtk Requires.
- Use parallel make.
- Add python-goocanvas-pycairo-api.patch to fix build with latest
  python-cairo.
- Do not package empty README.
- Use py_requires.
* Mon Jun 30 2008 maw@suse.de
- Update to version 0.10.0:
  + Install a .pc file
  + Add goocanvas.ItemSimple.bounds getsets
  + Prevent PYGTK from being imported into goocanvasmodule
    (bln##150412)
  o fix object registration TYPE_CAIRO_PATTERN (Gian Mario)
  o New custom example for SVG images. (Gian Mario)
  o update with new goocanvas 0.10 API (Gian Mario)
  o fix a bug introduced by pycairo API change, see LP#222503
  reported by David Boucher (Gian Mario)
  o Update docs according to new API (Gian Mario)
* Wed Dec  5 2007 maw@suse.de
- Import into autobuild.
* Thu Nov  1 2007 maw@suse.de
- Require python-gobject2
* Thu Nov  1 2007 maw@suse.de
- Require python-cairo.
* Thu Nov  1 2007 maw@suse.de
- Don't require the -lang subpackage, since it doesn't exist.
* Thu Nov  1 2007 maw@suse.de
- Initial package.
